package com.kingdee.eas.custom.perfwebinterview;

import com.kingdee.bos.framework.ejb.EJBRemoteException;
import com.kingdee.bos.util.BOSObjectType;
import java.rmi.RemoteException;
import com.kingdee.bos.framework.AbstractBizCtrl;
import com.kingdee.bos.orm.template.ORMObject;

import com.kingdee.bos.util.*;
import com.kingdee.eas.framework.CoreBaseInfo;
import com.kingdee.eas.framework.ICoreBillBase;
import com.kingdee.bos.Context;
import com.kingdee.bos.dao.IObjectPK;
import com.kingdee.bos.BOSException;
import com.kingdee.eas.custom.perfwebinterview.app.*;
import com.kingdee.bos.metadata.entity.SelectorItemCollection;
import com.kingdee.eas.common.EASBizException;
import com.kingdee.eas.framework.CoreBaseCollection;
import com.kingdee.eas.framework.CoreBillBase;
import com.kingdee.bos.metadata.entity.EntityViewInfo;
import java.lang.String;
import com.kingdee.bos.framework.*;

public class InterviewRecord extends CoreBillBase implements IInterviewRecord
{
    public InterviewRecord()
    {
        super();
        registerInterface(IInterviewRecord.class, this);
    }
    public InterviewRecord(Context ctx)
    {
        super(ctx);
        registerInterface(IInterviewRecord.class, this);
    }
    public BOSObjectType getType()
    {
        return new BOSObjectType("E085DF65");
    }
    private InterviewRecordController getController() throws BOSException
    {
        return (InterviewRecordController)getBizController();
    }
    /**
     *取集合-System defined method
     *@return
     */
    public InterviewRecordCollection getInterviewRecordCollection() throws BOSException
    {
        try {
            return getController().getInterviewRecordCollection(getContext());
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *取集合-System defined method
     *@param view 取集合
     *@return
     */
    public InterviewRecordCollection getInterviewRecordCollection(EntityViewInfo view) throws BOSException
    {
        try {
            return getController().getInterviewRecordCollection(getContext(), view);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *取集合-System defined method
     *@param oql 取集合
     *@return
     */
    public InterviewRecordCollection getInterviewRecordCollection(String oql) throws BOSException
    {
        try {
            return getController().getInterviewRecordCollection(getContext(), oql);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *取值-System defined method
     *@param pk 取值
     *@return
     */
    public InterviewRecordInfo getInterviewRecordInfo(IObjectPK pk) throws BOSException, EASBizException
    {
        try {
            return getController().getInterviewRecordInfo(getContext(), pk);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *取值-System defined method
     *@param pk 取值
     *@param selector 取值
     *@return
     */
    public InterviewRecordInfo getInterviewRecordInfo(IObjectPK pk, SelectorItemCollection selector) throws BOSException, EASBizException
    {
        try {
            return getController().getInterviewRecordInfo(getContext(), pk, selector);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *取值-System defined method
     *@param oql 取值
     *@return
     */
    public InterviewRecordInfo getInterviewRecordInfo(String oql) throws BOSException, EASBizException
    {
        try {
            return getController().getInterviewRecordInfo(getContext(), oql);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
}